Subject: bug#64583: 30.0.50; Problems with composed unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jul 2023 20:27:22 +0300

> Date: Wed, 12 Jul 2023 12:43:51 -0400
> From:  "Mark A. Hershberger" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Some composed characters from Google's Noto Color Emoji fontset display
> a box in addition to the correct character.
> 
> There are inconsistencies between the way the same codepoint is
> displayed in the describe-char *Help* buffer and the way those same
> characters are displayed in this buffer.  This looks like a bug in
> Emac's handling of Unicode characters.
> 
> Following is the output of Cloudflare's wrangler command.  Placing point
> over the icon in the first row and then using “M-x describe-char RET”
> shows the following for the “character:” line:
> 
>             character: 📚 (displayed as 📚) (codepoint 128218, #o372332, #x1f4da)
> 
> In the *Help* buffer the icons are different with the first icon showing
> the same icon that is in the “decomposition” row and the second
> (“displayed as”) icon matching the output I see in terminal and in this
> Message buffer.
> 
> The second icon is similar:
> 
>             character: 📥 (displayed as 📥) (codepoint 128229, #o372345, #x1f4e5)
> 
> The *Help* buffer shows two different icons but this Message buffer
> shows two similar buffers
> 
> The character that originally led to this report is the one on the
> “wrangler secret:bulk <json>” line.
> 
> describe-char's “character” line shows:
> 
>             character: 🗄 (displayed as 🗄) (codepoint 128452, #o372704, #x1f5c4)
> 
> where the first character in the *help* buffer is similara to the one
> displayed at https://unicodeplus.com/U+1F5C4 and the second is the a
> more 3D file cabinet.  In the Message buffer below, though, there is a
> blank box following the 3D file cabinet.
> 
> A similar blank box follows the “kv:namespace”, “pages” and “whoami” lines.

Thanks, but it is very hard to understand what exactly do you see
without seeing some kind of screenshot.  If the problem is the visual
appearance of the Emoji sequences, the best description of how they
look is a screenshot, so please post that here, and let's take it from
there.

One possible reason to see a box is that your font doesn't support
some sequences, but there could be other reasons, see bug#63731.